Les sous-répertoires ocaml-relational-0.1/debian et ocaml-relational-0.1-new/debian sont identiques.
Les fichiers binaires ocaml-relational-0.1/.omakedb et ocaml-relational-0.1-new/.omakedb sont différents.
diff -u ocaml-relational-0.1/.omakedb.lock ocaml-relational-0.1-new/.omakedb.lock
--- ocaml-relational-0.1/.omakedb.lock	2010-02-08 12:51:31.000000000 +0100
+++ ocaml-relational-0.1-new/.omakedb.lock	2010-02-08 18:01:23.000000000 +0100
@@ -1 +1 @@
-*** omake: the project was last locked by seldon:14968.
+*** omake: the project was last locked by localhost:2447.
diff -u ocaml-relational-0.1/pa_relational.ml ocaml-relational-0.1-new/pa_relational.ml
--- ocaml-relational-0.1/pa_relational.ml	2010-02-08 12:51:32.000000000 +0100
+++ ocaml-relational-0.1-new/pa_relational.ml	2010-02-08 17:58:42.000000000 +0100
@@ -116,7 +116,7 @@
 end
 
 module type DB = sig
-  val typeconv_module : string
+  val typeconv_module : Loc.t -> Ast.ident
 end
 
 module Codegenbase (DB : DB) : CODEGENBASE =
@@ -374,7 +374,7 @@
       Some s -> <:expr< $lid:prefix ^ lowercase_to_string s$ >>
     | None ->
         let f = prefix ^ column_conv_typename t in
-          <:expr< $id: <:ident< $uid:DB.typeconv_module$.$lid:f$ >> $ >>
+          <:expr< $id: <:ident< $DB.typeconv_module _loc$.$lid:f$ >> $ >>
           (*<:expr< Relational.Typeconv.Postgresql.$lid:f$ >>*)
 
   let col_nullable t = t.col_type.col_nullable
@@ -1055,4 +1055,4 @@
   Camlp4.Options.add "--unsafe-relations"
     (Arg.Unit (fun () -> use_type_constraint_funcs := false))
     "Do not type-check relational algebra expressions."
-end
\ Pas de fin de ligne à la fin du fichier.
+end
diff -u ocaml-relational-0.1/pa_relational_monetdb5.ml ocaml-relational-0.1-new/pa_relational_monetdb5.ml
--- ocaml-relational-0.1/pa_relational_monetdb5.ml	2010-02-08 12:51:32.000000000 +0100
+++ ocaml-relational-0.1-new/pa_relational_monetdb5.ml	2010-02-08 17:59:50.000000000 +0100
@@ -5,9 +5,7 @@
 struct
 
   module DB = struct
-
-    let typeconv_module = "Relational.Conv_MonetDB5"
-
+    let typeconv_module _loc = <:ident< Relational.Conv_MonetDB5 >>
   end
 
   include Codegenbase(DB)
diff -u ocaml-relational-0.1/pa_relational_postgresql.ml ocaml-relational-0.1-new/pa_relational_postgresql.ml
--- ocaml-relational-0.1/pa_relational_postgresql.ml	2010-02-08 12:51:32.000000000 +0100
+++ ocaml-relational-0.1-new/pa_relational_postgresql.ml	2010-02-08 17:58:55.000000000 +0100
@@ -5,9 +5,7 @@
 struct
 
   module DB = struct
-
-    let typeconv_module = "Relational.Conv_Postgresql"
-
+    let typeconv_module _loc = <:ident< Relational.Conv_Postgresql >>
   end
 
   include Codegenbase(DB)
Les sous-répertoires ocaml-relational-0.1/test et ocaml-relational-0.1-new/test sont identiques.
